function [url,loaddodsbool,infotext,times,Pass_Times,depths,Pass_Depths,lats,lons,num_url] = gbdriftc ...
         (getarchive, getranges, getmode)
%
%    This function will build gbdrift file name and return infotext and time/lat/lon/url
%    to the browser
%

% The preceding empty line is important
% $Log: gbdriftc.m,v $
% Revision 1.7  2000/05/15 19:24:29  kwoklin
% Replace isleapm with isleap.   klee
%
% Revision 1.6  2000/04/11 19:51:45  kwoklin
% Add to handle full size constraint on multiple objects.  klee
%
% Revision 1.5  2000/04/11 18:37:02  kwoklin
% Elimilate warning msg.  Add to handle full size constraint request.  klee
%
% Revision 1.3  1999/06/24 19:05:00  kwoklin
% Change file name of nbnerr.m. Fix some display bugs, define precision level
% of lat/lon/depth/time, and fix some more bugs in globec files.        klee
%
% Revision 1.1  1999/06/01 07:10:29  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:04  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbdriftc.m,v 1.7 2000/05/15 19:24:29 kwoklin Exp $
% klee 04/01/99

% reading selected ranges
if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

  % Initialize variables.
  More = 1; 
  num_url = 0;
  bool = 0;
  Pass_Times = []; times = [];
  Pass_Depths = []; depths = [];
  lats = []; lons = [];  
  url = []; infotext = []; text = []; Constraint = [];  outb = []; DataRanges = []; daypp = [];
  % To prevent named file conflict, force variable names to be appeared as variables. 
  yrday_gmt = []; lon = []; lat = [];

  DataRanges = [LonRange; LatRange; DepthRange; TimeRange];
  for i = 1:4
    if (getranges(i,1) <= DataRanges(i,1) & getranges(i,2) >= DataRanges(i,2))
      outb = [outb, 1];
   else
      outb = [outb, 0];
    end
  end
  dayname = deblank(DodsName1(1,:));

  returned_var = [];
  returned_var = sprintf('%s', dayname,',',LatitudeName,',',LongitudeName);

  % Get beginning and ending of time interval.
  BeginTime = max(TimeRange(1), getranges(4,1));
  LastTime = min(TimeRange(2), getranges(4,2));

  StartTime = BeginTime;
  SetDay = [311.5596, 557.6848, 949.7834, 1271.2910, 1570.2826];
  allyears = [1995, 1996, 1997, 1998, 1999];
  yeardays = [365, 366, 365, 365, 365];

  StartYear = floor(StartTime);  
  LastYear = floor(LastTime);
  yearleaps = isleap(StartYear:LastYear);
  StartYrday = (StartTime - StartYear) * (365+yearleaps(1));
  LastYrday = (LastTime - LastYear) * (365+yearleaps(length(yearleaps)));
  lastday = LastYrday;  
  Constarint = ['&',dayname,'>=',num2str(StartYrday,9)];
  
  for i = 1:(LastYear - 1995)
    lastday = lastday + (365+yearleaps(i));
  end
  lastyears = find(lastday <= SetDay);
  bool = lastyears(1);
  Years = [StartYear:allyears(lastyears(1))];

  %Now, for lat and lon constraint
  Ulat = num2str(getranges(2,2));
  Llat = num2str(getranges(2,1));
  URLlat = sprintf('%s','&', LatitudeName, '>=', Llat, '&', LatitudeName, '<=', Ulat);

  Llon = num2str(getranges(1,1));
  Rlon = num2str(getranges(1,2));
  % for [-180, 180]  
  URLlon = sprintf('%s','&', LongitudeName, '>=', Llon, '&', LongitudeName, '<=', Rlon); 

  last = [];  index = [];  tmpday = [];  theyear = [];  timetemp = []; full = 1;
  for i = 1:length(Years)
    theyear = find(allyears == Years(i));
    server = [Server, num2str(Years(i))];
    if all(outb == 1)
      url = [server, '?', returned_var];
      loaddods('-F',url);
    else
      if lastday > SetDay(theyear)
        url = [server, '?', returned_var];
        loaddods('-F',url);
      else
        if i ~= 1,   StartYrday = 0;  end
        Constraint = ['&',dayname,'>=',num2str(StartYrday,9), '&',dayname,'<=',num2str(lastday,9), URLlat, URLlon];
        url = [server, '?', returned_var, Constraint];
        loaddods('-F',url);
        full = 0;
      end
    end

    %record time, lat and lon info back to get function
    dayp = [];  
    dayp = eval(dayname);  
    if ~isempty(dayp) & (dayp(1) > 1e-10 | dayp(1) == 0)
      num_url = num_url + 1;
      daypp = [daypp;  dayp];
      Pass_Times = [Pass_Times; StartYrday,lastday,str2num(Llat),...
                    str2num(Ulat),str2num(Llon),str2num(Rlon),Years(i)];
      lats = [lats; eval(LatitudeName)];
      lons = [lons; eval(LongitudeName)];
    end
  end  %end of for loop 
  for i = 1:length(Years)
    theyear = find(allyears == Years(i));
    last = sum(yeardays(1:theyear));
    if i == 1
      index = find(daypp <= last);
    else
      index = find(daypp <= last & daypp >= (last-yeardays(theyear)));
    end
    tmpday = daypp(index) - (last-yeardays(theyear));
    if find(tmpday < 0)
      timetemp = [timetemp;  allyears(theyear-1) + ...
                  (tmpday(find(tmpday<0))+yeardays(theyear-1))/yeardays(theyear-1)];
    end
    timetemp = [timetemp; Years(i) + (tmpday / yeardays(theyear))];
  end
  tmp = find(timetemp >= getranges(4,1) & timetemp <= getranges(4,2));
  times = [times; timetemp(tmp)];
  lats = lats(tmp);  lons = lons(tmp);
  loaddodsbool = 0;
return









