%
%  BIO/Globec Moored Current Meter Data

%
% $Log: gbmcm.m,v $
% Revision 1.3  1999/06/25 16:31:45  kwoklin
% Expand lon range for clearer display.     klee
%
% Revision 1.1  1999/06/01 07:10:30  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:04  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbmcm.m,v 1.3 1999/06/25 16:31:45 kwoklin Exp $
%  klee 03/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/mcm'; %don't forget to add year and season afterwards 
CatalogServer = nan;
Cat_m_File = 'gbmcmcat';
URL_m_File = 'gbmcmurl';

LonRange = [-66.70 -65.60];
LatRange = [41.73 43.05];
TimeRange = [1993.7831055 1996.7476027];
DepthRange = [22 196];
Resolution = nan;

DodsName1 = str2mat('yrday_utc');
DodsName = str2mat('temp','sal','curr_dir_abs','curr_speed_abs');
DataName = 'Water Column - Moored Current Meter Data: Eastern Gulf of Maine/Scotian Shelf - BIO/GLOBEC';
LongitudeName = 'longitude';
LatitudeName = 'latitude';
TimeName = 'yrday_utc';         
DepthName = 'depth';
DepthUnits = 'Meters';
SelectableVariables = str2mat('Sea_Temp','Salinity','Current_Dir','Current_Speed');
TextField = str2mat('C2','C2A','NECE','NECEA','NECW','NECWA','NEP');
OptionalVariables = str2mat('sounding');
SelectableOptional = str2mat('Sounding');

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                    Moored Current Meter Data from Eastern Gulf of Maine/Scotian Shelf           ',...
'   ',...
'                   Parameter         Description                    Units',...
'                 ----------------------------------------------------------',...
'                   day               Julian Day                     fractional day',...
'                   temp              Temperature                    degrees C',...
'                   sal               Salinity                       nd',...
'                   curr_dir_abs      Direction                      degrees True',...
'                   curr_speed_abs    Speed                          cm/s',...
'   ',...
' INSTRUMENT_HEADER,',...
'     MODEL = RCM-8 ',...
'   ',...
' ');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Oct. 12, 1993 (1993.7831055)', ...
'         Ending_Date:    Nov. 28, 1996 (1996.7476027)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 66.5383 W ', ...
'              East Bounding Coordinate: 65.7793 W ', ...
'              South Bounding Coordinate: 41.7335 N ', ...
'              North Bounding Coordinate: 43.0455 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Peter C. Smith', ...
'               Coastal Ocean Science, OSD',...
'               Bedford Institute of Oceanography',...
'               P.O. Box 1006', ...
'               Dartmouth, N.S. B2Y 4A2',...
'               CANADA',...
'               Electronic Mail Address:INTERNET > smithpc@mar.dfo-mpo.gc.ca',...
'               FAX: 902-426-7827 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];