function [url,loaddodsbool,infotext,times,Pass_Times,depths,Pass_Depths,lats,lons,num_url] = gbocsscat ...
         (getarchive, getranges, getmode)
%
%    This function will build gbocss file names and return infotext and time/lat/lon/depth/url 
%    to the browser
%

% The preceding empty line is important
% $Log: gbocssc.m,v $
% Revision 1.4  2000/04/11 18:37:02  kwoklin
% Elimilate warning msg.  Add to handle full size constraint request.  klee
%
% Revision 1.3  1999/06/24 19:05:01  kwoklin
% Change file name of nbnerr.m. Fix some display bugs, define precision level
% of lat/lon/depth/time, and fix some more bugs in globec files.        klee
%
% Revision 1.1  1999/06/01 07:10:32  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:05  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbocssc.m,v 1.4 2000/04/11 18:37:02 kwoklin Exp $
% fix pressure representation to lat/lon basis         klee 05/28/99
% fix depth representation to min and max only         klee 05/05/99
% klee 04/01/99

% reading selected ranges
if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

  % Initialize variables.
  num_url = 0; 
  Pass_Times = []; times = [];
  Pass_Depths = []; depths = [];
  lats = []; lons = [];
  depthtemp = [];
  url = []; infotext = []; text = [];
  Constraint = [];  outb = [];
  % To prevent named file conflict, force variable names to be appeared as variables.
  year = []; yrday0_gmt = []; lat = []; lon = []; press_bar = []; cruise_id = [];
  DataRanges = [];
  
  DataRanges = [LonRange; LatRange; DepthRange; TimeRange];
  yearname = deblank(DodsName1(1,:));
  dayname = deblank(DodsName1(2,:));

  % Get beginning and ending of time interval.
  BeginTime = max(TimeRange(1), getranges(4,1));
  LastTime = min(TimeRange(2), getranges(4,2));

  LastYear = floor(LastTime);
  DaysInYear = 365;
  if rem(LastYear,4) == 0 & LastYear ~= 1900
    DaysInYear = 366;                % This is a leapyear.
  end
  LastYrday = (LastTime - LastYear) * DaysInYear;

  StartTime = BeginTime;
  StartYear = floor(StartTime);
  % sometime globec site switched to 4 digit number of year representation
  %StartYearShort = StartYear - 1900;
  StartYrday = (StartTime - StartYear) * DaysInYear;

  %Now, for depth, lat and lon constraint
  Ldepth = num2str(-getranges(3,2),9);
  Udepth = num2str(-getranges(3,1),9);
  URLdepth = sprintf('%s','&',DepthName,'>=',Ldepth,'&',DepthName,'<=',Udepth);
  
  Ulat = num2str(getranges(2,2));
  Llat = num2str(getranges(2,1));
  URLlat = sprintf('%s','&',LatitudeName,'>=',Llat,'&',LatitudeName,'<=',Ulat);

  Llon = getranges(1,1);
  Rlon = getranges(1,2);

  returned_var = [];  loaddodscall = 0;
  returned_var = sprintf('%s',yearname,',',dayname,',',DepthName,',',LatitudeName,',',LongitudeName,...
                         ',cruise_id');

  oc296 = 0; 
  if StartYrday > dayend(1)                                   %for oc301, oc303
    URLlon = sprintf('%s','&',LongitudeName,'>=',num2str(Llon),'&',LongitudeName,'<=',num2str(Rlon));
    URLlon = str2mat(URLlon, URLlon);
    URLdate = ['&', yearname, '=', num2str(StartYear), '&', dayname, '>=', num2str(StartYrday,9),...
                  '&', dayname, '<=', num2str(LastYrday,9), '&cruise_id=oc301'];
    URLdate = str2mat(URLdate, sprintf('%s', '&', yearname, '=', num2str(StartYear), '&', dayname, ...
                      '>=', num2str(StartYrday,9), '&', dayname, '<=', num2str(LastYrday,9), '&cruise_id=oc303'));
    if LastYrday > dayend(2), EndYrday = [dayend(2); LastYrday]; else, EndYrday = [LastYrday; nan]; end
    TmpStartYrday = [StartYrday; dayend(2)+1];
    loaddodscall = 2; oc296 = 0;
  elseif StartYrday <= dayend(1) & LastYrday <= dayend(1)     %for oc296 only
    URLlon = sprintf('%s','&',LongitudeName,'<=',num2str(-Llon),'&',LongitudeName,'>=',num2str(-Rlon));
    URLdate = ['&', yearname, '=', num2str(StartYear), '&', dayname, '>=', num2str(StartYrday,9),...
                  '&', dayname, '<=', num2str(LastYrday,9)];  
    EndYrday = dayend(1); TmpStartYrday = StartYrday;
    loaddodscall = 1; oc296 = 1;
  elseif StartYrday <= dayend(1) & LastYrday > dayend(1)      %for all three
    URLlon = sprintf('%s','&',LongitudeName,'<=',num2str(-Llon),'&',LongitudeName,'>=',num2str(-Rlon));
    URLlon = str2mat(URLlon, sprintf('%s','&',LongitudeName,'>=',num2str(Llon),'&',LongitudeName,'<=',num2str(Rlon)));
    URLlon = str2mat(URLlon, sprintf('%s','&',LongitudeName,'>=',num2str(Llon),'&',LongitudeName,'<=',num2str(Rlon)));
    URLdate = ['&', yearname, '=', num2str(StartYear), '&', dayname, '>=', num2str(StartYrday,9),...
                  '&', dayname, '<=', num2str(LastYrday,9), '&cruise_id=oc296'];
    URLdate = str2mat(URLdate, sprintf('%s', '&', yearname, '=', num2str(StartYear), '&', dayname,...
                 '>=', num2str(StartYrday,9), '&', dayname, '<=', num2str(LastYrday,9), '&cruise_id=oc301'));
    URLdate = str2mat(URLdate, sprintf('%s', '&', yearname, '=', num2str(StartYear), '&', dayname,...
                 '>=', num2str(StartYrday,9), '&', dayname, '<=', num2str(LastYrday,9), '&cruise_id=oc303'));
    if LastYrday > dayend(2)
      EndYrday = [dayend(1); dayend(2); LastYrday];
    else
      EndYrday = [dayend(1); LastYrday; nan];
    end
    TmpStartYrday = [StartYrday; dayend(1)+1; dayend(2)+1];
    loaddodscall = 3; oc296 = 1; 
  end
 
  for i = 1:4
    if (getranges(i,1) <= DataRanges(i,1) & getranges(i,2) >= DataRanges(i,2))
      outb = [outb, 1];
    else
      outb = [outb, 0];
    end
  end
  if all(outb == 1)
    loaddodscall = 1;
    TmpStartYrday = StartYrday;  EndYrday = EndYrday;
  end
  dayp = []; 
  for i = 1:loaddodscall
    if all(outb == 1)
      url = [Server, '?', returned_var];
      loaddods('-F',url);
    else
      constraint = [Constraint, deblank(URLdate(i,:)), URLlat, deblank(URLlon(i,:)), URLdepth];
      url = [Server, '?', returned_var, constraint];
      loaddods('-F',url);
    end

    dayp = [];
    dayp = eval(dayname);
    if ~isempty(dayp) & (dayp(1) > 1e-10 | dayp(1) == 0)
      num_url = num_url + 1;
      Pass_Times = [Pass_Times; StartYear,TmpStartYrday(i),EndYrday(i),str2num(Ldepth),str2num(Udepth),...
                    str2num(Llat),str2num(Ulat),Llon,Rlon];
      Ndays = size(dayp,1);
      timetemp = StartYear + dayp(1:Ndays) / DaysInYear;
      tmp = find(timetemp >= getranges(4,1) & timetemp <= getranges(4,2));
      times = [times; timetemp(tmp)];

      depths = [depths; -(eval(DepthName))];
      %depthtemp = [depthtemp; eval(DepthName)];
      lats = [lats; eval(LatitudeName)];
      if oc296 == 1 & i == 1
        lons = [lons; -eval(LongitudeName)];
      else
        lons = [lons; eval(LongitudeName)];
      end
    end  %end of if dayp(1) 
  end  %end of for loop  
  %depths = [depths; -max(depthtemp); -min(depthtemp)];
  loaddodsbool = 0;

return
